using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Zad_A
{
    class Program
    {
        static void Main(string[] args)
        {
            string k = Console.ReadLine();
           string c1 =k.Substring(0,1);
           string c2 =k.Substring(1,1);
           string[] u = Console.ReadLine().Split();
            int a1 = int.Parse(u[0]);
            int a2 = int.Parse(u[1]);
            string s;
            if (Math.Abs(a1 - a2) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                if (a1 > a2)
                {
                    s = c1;
                    a1--;

                    if (a2 > 0)
                    {
                        s += c2;
                        a2--;
                    }
                    while (a1 > 0)
                    {
                        s += c1;
                        if (a2 > 0)
                        {
                            s += c2;
                            a2--;
                        }
                        a1--;
                    }
                }
                else
                {
                    s = c2;
                    a2--;
                    if (a1 > 0)
                    {
                        s += c1;
                        a1--;
                    }

                    while (a2 > 0)
                    {
                        s += c2;
                        a2--;
                        if (a1 > 0)
                        {
                            s += c1;
                            a1--;
                        }

                    }
                }
                Console.WriteLine(s);
            }
        }
    }
}